Subject: [OPSAWG] About GRE tunnel type in draft-ietf-opsawg-capwap-alt-tunnel-06

From: Duzongpeng <[email-masked]>
Date: Wed, 3 Feb 2016 08:25:09 +0000

Hi, Sri

         I have some commons about the GRE tunnel type in this alt-tunnel draft.

         In the current draft, several kinds of tunnel types are listed:

        Tunnel-Type           Type Value   Reference

        CAPWAP                0            [RFC5415<https://tools.ietf.org/html/rfc5415>],[RFC5416<https://tools.ietf.org/html/rfc5416>]

        L2TP                  1            [RFC2661<https://tools.ietf.org/html/rfc2661>]

        L2TPv3                2            [RFC3931<https://tools.ietf.org/html/rfc3931>]

        IP-IP                 3            [RFC2003<https://tools.ietf.org/html/rfc2003>]

        PMIPv6                4            [RFC5213<https://tools.ietf.org/html/rfc5213>]

        GRE-IPv4              5            [RFC2784<https://tools.ietf.org/html/rfc2784>]

        GRE-IPv6              6            [RFC2784<https://tools.ietf.org/html/rfc2784>]

         And it is said that

This
      specification provides details for this elements for CAPWAP and
      PMIPv6.

         What I suggest is that this specification should also refer to GRE-IPv4/v6.

         I think not too many modifications are needed. Just add a new session:

3.6<https://tools.ietf.org/html/draft-ietf-opsawg-capwap-alt-tunnel-06#section-3.5>.  GRE based Alternate Tunnel

   GRE can also be used
   for alternate tunnel encapsulation between the WTP and the AR.

   o  Access Router  Information: IP address or Fully
      Qualified Domain Name (FQDN) for the alternate tunnel endpoint.

   o  GRE Key: optional, defined in rfc2890.

   The message element structure for GRE encapsulation is shown in
   Figure 11:

     0                   1                   2                   3
     0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
    |     Tunnel-Type=5 or  6        |   Info Element Length         |
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
    .             Access Router Information Element                .
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
    .             GRE Key Element                            .
    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

            Figure 11: Alternate Tunnel Encapsulation - GRE

         Fortunately, we do not need to explain what the GRE key element is because there is already this explanation in the current draft "3.6.6.  GRE Key Element".

         I used to join in the work of this draft. I think we have taken this GRE type into consideration, but I do not know why it is missing now.

         What I means is that GRE type should not be considered in other drafts as L2TP or IP-IP, because GRE is a widely used and important tunnel type in WiFi network.

         So I suggest to add GRE tunnel type into this draft just as the CAPWAP and PMIP tunnel type.

Best wishes
Zongpeng Du

---

From: "Sri Gundavelli (sgundave)" <[email-masked]>
Date: Thu, 4 Feb 2016 05:33:45 +0000

HI Du Zongpeng,

This spec does support different encap types as listed in the tunnel types enumeration. I think some text is missing; should be similar to section 3.5. We can address in the next rev.

Sri

From: Duzongpeng <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, February 3, 2016 at 12:25 AM
To: Sri Gundavelli <[email-masked]<mailto:[email-masked]>>, "Rajesh Pazhyannur (rpazhyan)" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Youjianjie <[email-masked]<mailto:[email-masked]>>, Zhoutianran <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Andreas Schultz <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: About GRE tunnel type in draft-ietf-opsawg-capwap-alt-tunnel-06

Hi, Sri

         And it is said that

This

   GRE can also be used

   o  GRE Key: optional, defined inrfc2890.

     0                   1                   2                   3

Best wishes
Zongpeng Du